<?php
const SETTINGS_ENTRIES = [
	[
		'name' => 'show-r15',
		'description' => 'Show R-15 content',
		'type' => 'checkbox',
		'default' => 'off'
	],
	[
		'name' => 'show-r18',
		'description' => 'Show R-18 content',
		'type' => 'checkbox',
		'default' => 'off'
	],
	[
		'name' => 'show-r18g',
		'description' => 'Show R-18G content',
		'type' => 'checkbox',
		'default' => 'off'
	]
];

$settings = [];

function load_settings($original) {
	static $loaded;
	if ($loaded) return;
	$loaded = true;

	global $settings;

	foreach (SETTINGS_ENTRIES as $entry) {
		if (!isset($original[$entry['name']])) {
			$settings[$entry['name']] = $entry['default'];
		}
		else switch ($entry['type']) {
			case 'checkbox':
				$settings[$entry['name']] = ($original[$entry['name']] == 'on' ? 'on' : 'off');
				break;
		}
	}
}
