<?php
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
	require_once '../include/user_settings.php';
	load_settings($_POST);
	foreach ($settings as $k => $v) {
		setcookie($k, $v, time() + 60 * 60 * 24 * 365, '/');
	}
	header('Location: ' . $_POST['from']);
	die;
}

require_once '../include/utils.php';

render_page_header('Settings');
?>

<div class="container container-small">
	<h1>Settings</h1>

	<?php if (SSFW_ONLY) { ?>
		<div class="notice">
			<p>
				Note: This instance has enabled "Super Safe For Work" mode.
				R-15, R-18 and R-18G works will not be shown, notwithstanding the settings below.
			</p>
		</div>
	<?php } else if (SFW_ONLY) { ?>
		<div class="notice">
			<p>
				Note: This instance has enabled "Safe For Work" mode.
				R-18 and R-18G works will not be shown, notwithstanding the settings below.
			</p>
		</div>
	<?php } ?>

	<form method="post" class="options">
		<input type="hidden" value="<?= $_SERVER['HTTP_REFERER'] ?: (BASE_URL . '/') ?>" name="from"><?php
		foreach (SETTINGS_ENTRIES as $entry) switch ($entry['type']) {
			case 'checkbox': ?>
				<div>
					<label><?= $entry['description'] ?></label>
					<input type="hidden" value="off" name="<?= $entry['name'] ?>">
					<input type="checkbox" name="<?= $entry['name'] ?>"
						<?php if ($settings[$entry['name']] == 'on') echo 'checked'; ?>
					>
				</div><?php
				break;
		}
		?><button type="submit">Save</button>
	</form>
</div>

<?php
render_page_footer();
